package cn.com.qmth.examcloud.exchange.inner.service;

import java.util.List;
import java.util.Map;

public interface SmsService {

    /**
     * 发送短信
     *
     * @param smsAssemblyCode
     * @param phoneList
     * @param params
     */
    void sendSms(String smsAssemblyCode, List<String> phoneList, Map<String, String> params);

    /**
     * 发送短信验证码
     *
     * @param phone 手机号
     * @param code  验证码
     */
    void sendSmsCode(String phone, String code);

    /**
     * 校验短信验证码
     *
     * @param phone 手机号
     * @param code  验证码
     */
    void validateSmsCode(String phone, String code);

}
